Social Fetch
TikTok

List TikTok music videos

List TikTok videos that use a specific music clip.

An empty `data.videos` array can mean no public videos use this music clip, or other cases—there is no `lookupStatus` field on this route.

GET/v1/tiktok/music/{clipId}/videos
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
2
clipId*stringpath

TikTok music clip id whose videos should be listed.

min 1 chars

cursorstringoptionalquery

Pagination cursor returned by a previous response.

min 1 chars

Response fields
28

Endpoint-specific response payload.

dataclipId
string

Music clip id that was evaluated for this response.

TikTok videos that use the requested music clip. An empty array can mean no public videos for this clip, or other cases—this route has no lookupStatus.

datavideos[]id
string

TikTok video identifier.

min 1 chars

datavideos[]caption
stringnullable

Caption text shown for the TikTok video.

datavideos[]createdAt
stringnullable

ISO-8601 timestamp when the video was created, when available.

datavideos[]url
stringnullable

Canonical public TikTok URL for the video.

datavideos[]thumbnailUrl
stringnullable

Best available thumbnail or cover image URL for the video.

datavideos[]durationMs
integernullable

Video duration in milliseconds, when available.

≥ 0

datavideos[]pinned
boolean

Whether the video is pinned on the profile.

datavideos[]isAd
boolean

Whether TikTok marks the video as an ad.

Engagement metrics for the video.

datavideos[]statsviews
integer

View count reported by TikTok for the video.

≥ 0

datavideos[]statslikes
integer

Like count reported by TikTok for the video.

≥ 0

datavideos[]statscomments
integer

Comment count reported by TikTok for the video.

≥ 0

datavideos[]statsshares
integer

Share count reported by TikTok for the video.

≥ 0

datavideos[]statssaves
integer

Save or collection count reported by TikTok for the video.

≥ 0

Download-related media URLs for the video.

datavideos[]mediadownloadUrl
stringnullable

Best available downloadable video URL, usually with watermark.

datavideos[]mediadownloadWithoutWatermarkUrl
stringnullable

Best available downloadable video URL without watermark.

datavideos[]details
objectoptional

Additional TikTok-native fields for this video (for example author, music, challenges, and full `video` and `statistics` objects). Keys that only duplicate the top-level fields are omitted.

Pagination state for the current response.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more videos are available.

datapagehasMore
boolean

Whether another page of videos is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/tiktok/music/7439295283975702544/videos" \
  -H "x-api-key: YOUR_API_KEY"

Responses

TikTok videos for the requested music clip.